Page MenuHomeMiraheze

Animated Feet at Miraheze
Closed, ResolvedPublic

Description

Wiki URLhttps://animatedfeet.miraheze.org/wiki/Main_PageBecause the wiki doesn't have as much pages as the sooner or later defunct older wiki, I was thinking that could you transfer the content from https://animefeet.fandom.com on to https://animatedfeet.miraheze.org

the pages are down below of the email:

Related Objects

Event Timeline

Void edited projects, added Import, MediaWiki; removed Configuration.Mar 4 2019, 18:15
Paladox claimed this task.Mar 28 2019, 22:37
Paladox added a subscriber: Paladox.

Hello,

Sorry for the delay, i will start the import now!

Tycio awarded a token.Apr 17 2019, 03:42
Tycio added a subscriber: Tycio.Apr 17 2019, 03:49

Hello Paladox thank you for claiming this task! I was the bureaucrat on the project's previous location and Delta has extended those rights here as well. Wikia/Fandom appears to have closed the project now. Do you still have the XML file? Pages_full zipped in a 7z was 17MB so very easy to download but I noticed when I decompressed it was 461 MB.

Do you know if there is a way to track the % completion we are of incorporating the XML data? When it wouldn't let me upload the 461MB file (I figured due to 250MB cap on file uploads) I tried to do pages_current since it was smaller (8MB compressed, 90MB decompressed) but it only added about 5 pages before giving an error.

What confuses me is that when I view https://animatedfeet.miraheze.org/wiki/Special:Log?type=import I can see my 5 adds but I can also see that a lot of history has been imported but it just doesn't show up in the log.

Am I complicating matters by doing this? I don't want to get in the way. I didn't know there was already a Phabricator Task open for this until today when I saw Void's reply at https://meta.miraheze.org/wiki/Community_noticeboard#ways_to_check_import_logs and only just set up Phabricator due to activations getting sent to junk mail.

Tycio added a comment.EditedMay 9 2019, 04:13

I'm not sure how to monitor the progress of the XML import (is it at 100% now that you've moved on to help with AB's XML now?) but for whenever Phabricator has the GB available I believe archive.org has a .torrent and even a direct download of the images?

It was very big though so if you only have 70 left we can wait however many months it takes to expand storage.

https://archive.org/download/wiki-animefeetfandomcom shows the dump's .7z file to be 60.9 GB, no idea how much bigger it would get decompressed. My guess is more than the 70 you have available, and given that AnimeBaths was shut down first it only seems fair to prioritize it's recovery first, which is more feasible since there is less data needed for its image files (about 25%)

the overview at https://archive.org/details/wiki-animefeetfandomcom also links to https://archive.org/download/wiki-animefeetfandomcom/wiki-animefeetfandomcom_archive.torrent if that might be an easier way to acquire it.

I didn't set this up (it was the mysterious "Feetlord 3000" from /a/ in February) so I'm not really sure how they did this. I've never known how to back up more than individual webpages on archive.org so entire sites are beyond me. I'm not sure how hard it would be to get the format to match here.

Paladox added a comment.May 9 2019, 17:31

Hello, i still have the xml file (and have restarted the import). Sorry for the late response as it seems i missed your reply :(.

I would be good to hold of on the 60g files for now.

Also even though the file is smaller (the processing of the file is what counts, which can take longer then the timeout we have configured).

Paladox closed this task as Resolved.May 23 2019, 23:18

Hello, after such a long delay (sorry), this has finally import!